Top-Themen

Aktuelle Themen (A bis Z)

Administrator.de FeedbackApache ServerAppleAssemblerAudioAusbildungAuslandBackupBasicBatch & ShellBenchmarksBibliotheken & ToolkitsBlogsCloud-DiensteClusterCMSCPU, RAM, MainboardsCSSC und C++DatenbankenDatenschutzDebianDigitiales FernsehenDNSDrucker und ScannerDSL, VDSLE-BooksE-BusinessE-MailEntwicklungErkennung und -AbwehrExchange ServerFestplatten, SSD, RaidFirewallFlatratesGoogle AndroidGrafikGrafikkarten & MonitoreGroupwareHardwareHosting & HousingHTMLHumor (lol)Hyper-VIconsIDE & EditorenInformationsdiensteInstallationInstant MessagingInternetInternet DomäneniOSISDN & AnaloganschlüsseiTunesJavaJavaScriptKiXtartKVMLAN, WAN, WirelessLinuxLinux DesktopLinux NetzwerkLinux ToolsLinux UserverwaltungLizenzierungMac OS XMicrosoftMicrosoft OfficeMikroTik RouterOSMonitoringMultimediaMultimedia & ZubehörNetzwerkeNetzwerkgrundlagenNetzwerkmanagementNetzwerkprotokolleNotebook & ZubehörNovell NetwareOff TopicOpenOffice, LibreOfficeOutlook & MailPapierkorbPascal und DelphiPeripheriegerätePerlPHPPythonRechtliche FragenRedHat, CentOS, FedoraRouter & RoutingSambaSAN, NAS, DASSchriftartenSchulung & TrainingSEOServerServer-HardwareSicherheitSicherheits-ToolsSicherheitsgrundlagenSolarisSonstige SystemeSoziale NetzwerkeSpeicherkartenStudentenjobs & PraktikumSuche ProjektpartnerSuseSwitche und HubsTipps & TricksTK-Netze & GeräteUbuntuUMTS, EDGE & GPRSUtilitiesVB for ApplicationsVerschlüsselung & ZertifikateVideo & StreamingViren und TrojanerVirtualisierungVisual StudioVmwareVoice over IPWebbrowserWebentwicklungWeiterbildungWindows 7Windows 8Windows 10Windows InstallationWindows MobileWindows NetzwerkWindows ServerWindows SystemdateienWindows ToolsWindows UpdateWindows UserverwaltungWindows VistaWindows XPXenserverXMLZusammenarbeit

Debian Lenny Probleme mit mysql.so lighttpd php5

Frage Linux Debian

Mitglied: konvolut

konvolut (Level 1) - Jetzt verbinden

31.10.2009, aktualisiert 11:26 Uhr, 3819 Aufrufe, 3 Kommentare

Konflikt mit mysqli

01.
$dpkg -s php5-mysql
Package: php5-mysql
Status: install ok installed
Priority: optional
Section: web
Installed-Size: 240
Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Architecture: i386
Source: php5
Version: 5.2.6.dfsg.1-1+lenny3
Replaces: php5-mysqli
Depends: libmysqlclient15off (>= 5.0.51a), libc6 (>= 2.7-1), phpapi-20060613+lfs, php5-common (= 5.2.6.dfsg.1-1+lenny3)
Conflicts: php5-mysqli
Conffiles:
/etc/php5/conf.d/mysqli.ini 932898ab2524dd4cf27055652e1b4278
/etc/php5/conf.d/mysql.ini d6b592dc2eb7a2e3ff433d2506840fa6
/etc/php5/conf.d/pdo_mysql.ini ed37ffe9d4a777fc7abb5c54720723f9
Description: MySQL module for php5


Wenn ich dies also richtig deute herrscht ein Konflikt mit php5-mysqli vor!

Hat jemand vielleicht einen Tip für mich, wie man diesen Konflik umgehen kann?



01.
$ ls -l /usr/lib/php5/20060613+lfs/
-rwxrwxrwx 1 root root 57112 2009-04-27 00:20 curl.so
-rwxrwxrwx 1 root root 101552 2009-04-27 00:20 gd.so
-rwxrwxrwx 1 root root 19084 2008-10-12 09:19 idn.so
-rwxrwxrwx 1 root root 93936 2009-04-27 00:20 imap.so
-rw-r--r-- 1 root root 32092 2009-04-27 00:20 mcrypt.so
-rwxrwxrwx 1 root root 73516 2008-03-25 05:59 memcache.so
-rwxrwxrwx 1 root root 7148 2009-04-27 00:20 mhash.so
-rwxrwxrwx 1 root root 100184 2008-07-07 20:16 ming.so
-rwxrwxrwx 1 root root 102052 2009-04-27 00:20 mysqli.so
-rwxrwxrwx 1 root root 44860 2009-04-27 00:20 mysql.so
-rwxrwxrwx 1 root root 24676 2009-04-27 00:20 pdo_mysql.so
-rwxrwxrwx 1 root root 86560 2009-04-27 00:20 pdo.so
-rw-r--r-- 1 root root 19428 2009-04-27 00:20 pdo_sqlite.so
-rwxrwxrwx 1 root root 19812 2009-04-27 00:20 pspell.so
-rwxrwxrwx 1 root root 41604 2008-02-13 12:19 ps.so
-rwxrwxrwx 1 root root 6564 2009-04-27 00:20 recode.so
-rwxrwxrwx 1 root root 23784 2009-04-27 00:20 snmp.so
-rw-r--r-- 1 root root 61692 2009-04-27 00:20 sqlite.so
-rwxrwxrwx 1 root root 40280 2009-04-27 00:20 tidy.so
-rwxrwxrwx 1 root root 80992 2009-04-27 00:20 xmlrpc.so
-rw-r--r-- 1 root root 24576 2009-04-27 00:20 xsl.so



01.
$php5 -v
PHP 5.2.6-1+lenny3 with Suhosin-Patch 0.9.6.2 (cli) (built: Apr 26 2009 22:16:23)
Copyright (c) 1997-2008 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2008 Zend Technologies

01.
$grep -irn "extension=" /etc/php5/
grep -irn "extension=" /etc/php5/
/etc/php5/conf.d/gd.ini:2:extension=gd.so
/etc/php5/conf.d/pdo_mysql.ini:2:extension=pdo_mysql.so
/etc/php5/conf.d/sqlite.ini:2:extension=sqlite.so
/etc/php5/conf.d/idn.ini:2:#extension=idn.so
/etc/php5/conf.d/tidy.ini:2:extension=tidy.so
/etc/php5/conf.d/snmp.ini:2:extension=snmp.so
/etc/php5/conf.d/imap.ini:2:extension=imap.so
/etc/php5/conf.d/recode.ini:2:extension=recode.so
/etc/php5/conf.d/mysqli.ini:2:extension=mysqli.so
/etc/php5/conf.d/curl.ini:2:extension=curl.so
/etc/php5/conf.d/ming.ini:2:extension=ming.so
/etc/php5/conf.d/pspell.ini:2:extension=pspell.so
/etc/php5/conf.d/mhash.ini:2:extension=mhash.so
/etc/php5/conf.d/xsl.ini:2:extension=xsl.so
/etc/php5/conf.d/xmlrpc.ini:2:extension=xmlrpc.so
/etc/php5/conf.d/pdo.ini:2:extension=pdo.so
/etc/php5/conf.d/mysql.ini:2:extension=mysql.so
/etc/php5/conf.d/pdo_sqlite.ini:2:extension=pdo_sqlite.so
/etc/php5/conf.d/memcache.ini:2:extension=memcache.so
/etc/php5/conf.d/ps.ini:2:extension=ps.so
/etc/php5/conf.d/mcrypt.ini:2:extension=mcrypt.so
/etc/php5/apache2/conf.d/gd.ini:2:extension=gd.so
/etc/php5/apache2/conf.d/pdo_mysql.ini:2:extension=pdo_mysql.so
/etc/php5/apache2/conf.d/sqlite.ini:2:extension=sqlite.so
/etc/php5/apache2/conf.d/idn.ini:2:#extension=idn.so
/etc/php5/apache2/conf.d/tidy.ini:2:extension=tidy.so
/etc/php5/apache2/conf.d/snmp.ini:2:extension=snmp.so
/etc/php5/apache2/conf.d/imap.ini:2:extension=imap.so
/etc/php5/apache2/conf.d/recode.ini:2:extension=recode.so
/etc/php5/apache2/conf.d/mysqli.ini:2:extension=mysqli.so
/etc/php5/apache2/conf.d/curl.ini:2:extension=curl.so
/etc/php5/apache2/conf.d/ming.ini:2:extension=ming.so
/etc/php5/apache2/conf.d/pspell.ini:2:extension=pspell.so
/etc/php5/apache2/conf.d/mhash.ini:2:extension=mhash.so
/etc/php5/apache2/conf.d/xsl.ini:2:extension=xsl.so
/etc/php5/apache2/conf.d/xmlrpc.ini:2:extension=xmlrpc.so
/etc/php5/apache2/conf.d/pdo.ini:2:extension=pdo.so
/etc/php5/apache2/conf.d/mysql.ini:2:extension=mysql.so
/etc/php5/apache2/conf.d/pdo_sqlite.ini:2:extension=pdo_sqlite.so
/etc/php5/apache2/conf.d/memcache.ini:2:extension=memcache.so
/etc/php5/apache2/conf.d/ps.ini:2:extension=ps.so
/etc/php5/apache2/conf.d/mcrypt.ini:2:extension=mcrypt.so
/etc/php5/apache2/php.ini:602:; extension=modulename.extension
/etc/php5/apache2/php.ini:606:; extension=msql.dll
/etc/php5/apache2/php.ini:610:; extension=msql.so
/etc/php5/cgi/conf.d/gd.ini:2:extension=gd.so
/etc/php5/cgi/conf.d/pdo_mysql.ini:2:extension=pdo_mysql.so
/etc/php5/cgi/conf.d/sqlite.ini:2:extension=sqlite.so
/etc/php5/cgi/conf.d/idn.ini:2:#extension=idn.so
/etc/php5/cgi/conf.d/tidy.ini:2:extension=tidy.so
/etc/php5/cgi/conf.d/snmp.ini:2:extension=snmp.so
/etc/php5/cgi/conf.d/imap.ini:2:extension=imap.so
/etc/php5/cgi/conf.d/recode.ini:2:extension=recode.so
/etc/php5/cgi/conf.d/mysqli.ini:2:extension=mysqli.so
/etc/php5/cgi/conf.d/curl.ini:2:extension=curl.so
/etc/php5/cgi/conf.d/ming.ini:2:extension=ming.so
/etc/php5/cgi/conf.d/pspell.ini:2:extension=pspell.so
/etc/php5/cgi/conf.d/mhash.ini:2:extension=mhash.so
/etc/php5/cgi/conf.d/xsl.ini:2:extension=xsl.so
/etc/php5/cgi/conf.d/xmlrpc.ini:2:extension=xmlrpc.so
/etc/php5/cgi/conf.d/pdo.ini:2:extension=pdo.so
/etc/php5/cgi/conf.d/mysql.ini:2:extension=mysql.so
/etc/php5/cgi/conf.d/pdo_sqlite.ini:2:extension=pdo_sqlite.so
/etc/php5/cgi/conf.d/memcache.ini:2:extension=memcache.so
/etc/php5/cgi/conf.d/ps.ini:2:extension=ps.so
/etc/php5/cgi/conf.d/mcrypt.ini:2:extension=mcrypt.so
/etc/php5/cgi/php.ini:504: zend_extension=/usr/local/lib/ioncube/ioncube_loader_lin_5.2.so
/etc/php5/cgi/php.ini:505: zend_extension=/usr/local/lib/Zend/ZendOptimizer.so
/etc/php5/cgi/php.ini:604:; extension=modulename.extension
/etc/php5/cgi/php.ini:608:; extension=msql.dll
/etc/php5/cgi/php.ini:612:; extension=msql.so
/etc/php5/cli/conf.d/gd.ini:2:extension=gd.so
/etc/php5/cli/conf.d/pdo_mysql.ini:2:extension=pdo_mysql.so
/etc/php5/cli/conf.d/sqlite.ini:2:extension=sqlite.so
/etc/php5/cli/conf.d/idn.ini:2:#extension=idn.so
/etc/php5/cli/conf.d/tidy.ini:2:extension=tidy.so
/etc/php5/cli/conf.d/snmp.ini:2:extension=snmp.so
/etc/php5/cli/conf.d/imap.ini:2:extension=imap.so
/etc/php5/cli/conf.d/recode.ini:2:extension=recode.so
/etc/php5/cli/conf.d/mysqli.ini:2:extension=mysqli.so
/etc/php5/cli/conf.d/curl.ini:2:extension=curl.so
/etc/php5/cli/conf.d/ming.ini:2:extension=ming.so
/etc/php5/cli/conf.d/pspell.ini:2:extension=pspell.so
/etc/php5/cli/conf.d/mhash.ini:2:extension=mhash.so
/etc/php5/cli/conf.d/xsl.ini:2:extension=xsl.so
/etc/php5/cli/conf.d/xmlrpc.ini:2:extension=xmlrpc.so
/etc/php5/cli/conf.d/pdo.ini:2:extension=pdo.so
/etc/php5/cli/conf.d/mysql.ini:2:extension=mysql.so
/etc/php5/cli/conf.d/pdo_sqlite.ini:2:extension=pdo_sqlite.so
/etc/php5/cli/conf.d/memcache.ini:2:extension=memcache.so
/etc/php5/cli/conf.d/ps.ini:2:extension=ps.so
/etc/php5/cli/conf.d/mcrypt.ini:2:extension=mcrypt.so
/etc/php5/cli/php.ini:602:; extension=modulename.extension
/etc/php5/cli/php.ini:606:; extension=msql.dll
/etc/php5/cli/php.ini:610:; extension=msql.so

Die apache2 Einträge können noch von einer vorherigne Installation sein, müssten dann wohl manuell gelöscht werden, da der Paketmanager keine Installation von apache findet.


Da ich nicht so viele Erfahrungen mit Linux habe, wäre es sehr nett, wenn mir jemand einen Tip geben könnte, wieich diesen php5-mysqli Konflikt lösen könnte.

Vielen Dank
Mitglied: 16568
31.10.2009 um 13:37 Uhr
NORMALERWEISE entscheidet man sich für MySQli, da dies den vollen Funktionsumfang von MySQL 4 unterstützt, und in Zukunft auch schneller mit Neuerungen von MySQL Schritt halten können sollte...
(ja, ich weiß, bißchen viel KÖNNTE/SOLLTE; aber ist ja nicht von mir so definiert ^^ )

Interesse an mehr Details?
klick mich oder mich

Wie Du den Konflikt löst?
Keine Ahnung wie ich es Dir beibringen soll, denn normalerweise läßt man nur erfahrene Admins an ein System...


Lonesome Walker
Bitte warten ..
Mitglied: konvolut
31.10.2009 um 14:58 Uhr
Ersteinmal Danke für eine Antwort!

Ich gehe also davon aus, das php5-mysql gelöscht werden sollte und ich mich für mysqli entscheiden sollte!

Aber was sagst Du dazu?

01.
$ apt-cache search mysqli

php5-mysql - MySQL module for php5

Paket: php5-mysql (5.2.6.dfsg.1-1+lenny3)

Dieses Paket enthält Module für Verbindungen mit MySQL-Datenbanken direkt aus PHP-Skripten. Es umfasst das generische »mysql«-Modul, das Verbindungen mit allen Versionen von MySQL ermöglicht, ein verbessertes Modul »mysqli« für die MySQL-Version 4.1 oder höher sowie das Modul »pdo_mysql« für den Einsatz mit der PHP-Data-Object-Erweiterung.

Paket: php5-mysql (5.2.6.dfsg.1-1+lenny3)


Deinen Seitenhieb ala "Keine Ahnung wie ich es Dir beibringen soll, denn normalerweise läßt man nur erfahrene Admins an ein System..." verstehe ich demnach nicht so recht zu interpretieren.
Weder Kontext noch Assoziation kann ich nachvollziehen.

Und nun für alle die ähliche Probleme haben:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=525345
Bitte warten ..
Mitglied: dog
01.11.2009 um 10:04 Uhr
mysql und mysqli können beide parallel benutzt werden.
Ebenso können beide entweder den Mysql-C-Treiber oder mysqlnd benutzen.

Grüße

Max
Bitte warten ..
Ähnliche Inhalte
Debian
Debian SCP Probleme
Frage von ProtectedDebian10 Kommentare

Hallo, ich habe mir eine Storagebox bei Hetzner zugelegt, welche auch SCP als Übertragung erlaubt. Ich habe bereits den ...

Apache Server
Ubuntu Apache2 MySQL PHP5 .
gelöst Frage von KaStarkerApache Server11 Kommentare

Hallo Leute, ist unter Euch jemand, der sich mit den Themen wirklich gut auskennt? Ich benötige asap jemanden der ...

Apache Server
Apache probleme nach update von php 5.3 Debian 6
gelöst Frage von cc-frauensteinApache Server10 Kommentare

Guten tag ich habe ei problem nach update von php 5.3 eines Debian 6 hier mal die Apache error. ...

Debian
Reoback auf debian
Frage von janosch12Debian2 Kommentare

Hallo, ich habe eben auf einem debian System reback nach der Strato Anleitung installiert allerdings komme ich beim letzen ...

Neue Wissensbeiträge
Apple

IOS 11.2.1 stopft HomeKit-Remote-Lücke

Tipp von BassFishFox vor 10 StundenApple

Das Update für iPhone, iPad und Apple TV soll die Fernsteuerung von Smart-Home-Geräten wieder in vollem Umfang ermöglichen. Apple ...

Windows 10

Windows 10 v1709 EN murkst bei den Regionseinstellungen

Tipp von DerWoWusste vor 15 StundenWindows 10

Dieser kurze Tipp richtet sich an den kleinen Personenkreis, der Win10 v1709 EN-US frisch installiert und dabei die englische ...

Webbrowser

Kein Ton bei Firefox Quantum über RDP

Tipp von Moddry vor 15 StundenWebbrowser

Hallo Kollegen! Hatte das Problem, dass der neue Firefox bei mir auf der Kiste keinen Ton hat, wenn ich ...

Internet

EU-DSGVO: WHOIS soll weniger Informationen liefern

Information von sabines vor 1 TagInternet4 Kommentare

Wegen der europäische Datenschutzgrundverordnung stehen die Prozesse um die Registrierung von Domains auf dem Prüfstand. Sollte die Forderungen umgesetzt ...

Heiß diskutierte Inhalte
LAN, WAN, Wireless
Häufig Probleme beim Anmelden in WLAN
Frage von mabue88LAN, WAN, Wireless15 Kommentare

Hallo zusammen, in einem Netzwerk gibt es relativ häufig (1-2 mal pro Woche) Probleme mit der WLAN-Verbindung. Zunächst mal ...

Windows Server
SMBv1 deaktivieren führte zur Katastrophe, keine Domänenanmeldung mehr
Frage von Freak-On-SiliconWindows Server14 Kommentare

Servus; Habe Mist gebaut. Umgebung: Server 2012R2 Domäne 2x DC ~10 Memberserver (2012R2 und 2008R2) ~100 Windows 8 Clients ...

Windows XP
Windows XP Aktivieren geht nicht
Frage von tetikmiroWindows XP13 Kommentare

Hallo Ich habe einen Windows XP mit einen vCenter Converter umgezogen auf eine ESXI. Soweit funktioniert dies auch ohne ...

Grafikkarten & Monitore
2x 4K Monitore an einer GraKa betreiben
gelöst Frage von JollyJumper83Grafikkarten & Monitore10 Kommentare

Hallo liebe IT-Gemeinde, ich bin auf der Suche nach einer kostengünstigen GraKa für meinen Präsentations-PC. Wir möchten in unserem ...